<div class="dashboard">
    <div class="container">
        <div class="card">
            <div class="card-header">
              Mis Transacciones
              <span class="float-right"> 
                <button class="btn btn-success" @click="createTransaction(1)">
                  Depositar
                </button>
                <button class="btn btn-danger" @click="createTransaction(2)">
                  Retirar
                </button>
                <button class="btn btn-warning" @click="createTransaction(3)">
                  Transferir
                </button>
              </span>
            </div>
            <div class="card-body">
                <div class="table-responsive">
                    <table class="table table-hover">
                      <thead>
                        <tr>
                            <th>Fecha</th>
                            <th>De</th>
                            <th>Para</th>
                            <th>Tipo</th>
                            <th>Monto</th>
                            <th>Estado</th>
                            <th>Acciones</th>
                        </tr>
                      </thead>
                      <tbody>
                        <tr v-for="transaction in transactions" :key="transaction.id">
                            <td>{{transaction.date}}</td>
                            <td>
                              <span v-if="transaction.from === 1 " class="">PragmaTransfer</span>
                              <span v-if="transaction.from !== 1 " class="">{{transaction.from}}</span>
                            </td>
                            <td>
                              <span v-if="transaction.to === 1 " class="">PragmaTransfer</span>
                              <span v-if="transaction.to !== 1 " class="">{{transaction.to}}</span>
                            </td>
                            <td> 
                              <span v-if="transaction.type === 1 " class="badge badge-success">Deposito</span>
                              <span v-if="transaction.type === 2 " class="badge badge-danger">Retiro</span>
                              <span v-if="transaction.type === 3 " class="badge badge-warning">Transferencia</span>
                            </td>
                            <td>{{transaction.amount}}</td>
                            <td> 
                              <span v-if="transaction.status === 0 " class="badge badge-warning">Pendiente</span>
                              <span v-if="transaction.status === 1 " class="badge badge-success">Completada</span>
                              <span v-if="transaction.status === 2 " class="badge badge-danger">Cancelada</span>
                            </td>
                            <td>
                              <button class="btn btn-warning" @click="navigate('/transactions/details/',transaction.id)">
                                <font-awesome-icon :icon="['fa', 'eye']"  />
                              </button>
                              <button v-if="transaction.status === 0 && user.name == 'PragmaTransfer'" class="btn btn-success" @click="confirm(transaction)">
                                <font-awesome-icon :icon="['fa', 'check']"  />
                              </button>
                              <button v-if="transaction.status === 0 && transaction.type === 2" class="btn btn-danger" @click="cancel(transaction)">
                                <font-awesome-icon :icon="['fa', 'ban']"  />
                              </button>
                            </td>
                        </tr>
                      </tbody>
                      <tfoot>

                      </tfoot>
                    </table>
                  </div>
            </div>
          </div>
    </div>
</div>